PETSc version 3.15.5
Fix/Edit manual page

# MatFactorInfoInitialize

Initializes a MatFactorInfo data structure with default values.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorInfoInitialize(MatFactorInfo *info)

Not Collective

### Input Parameters

| info | - the MatFactorInfo data structure

### Notes

The solvers are generally used through the KSP and PC objects, for example PCLU, PCILU, PCCHOLESKY, PCICC

### See Also

MatFactorInfo

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages